<?php

// Verbindungsdaten
$host		= "localhost";
$user		= "root";
$password	= "";
$database	= "mmn201314_10";

// Verbindung mit MySQL
$db = mysqli_connect($host, $user, $password) or exit("Can't connect to database.");

// Datenbank erstellen
if (mysqli_query($db, "CREATE DATABASE IF NOT EXISTS $database;")) {
	echo "Database '$database' created successfully.<br>";
}
else {
	exit("Can't create database '$database'.");
}

// Datenbank auswhlen
if (mysqli_select_db($db, $database)) {
	echo "Database '$database' selected.<br>";
}
else {
	exit("Can't select database '$database'.");
}

// Tabelle erstellen
if (mysqli_query($db, "CREATE TABLE IF NOT EXISTS `personen` (`id` int(11) NOT NULL AUTO_INCREMENT, `vorname` varchar(50) NOT NULL, `nachname` varchar(50) NOT NULL, PRIMARY KEY (`id`));")) {
	echo "Table 'personen' created successfully.<br>";
}
else {
	exit("Can't create table 'personen'.");
}

// Daten einfgen
$query = "INSERT INTO `personen` (`id`, `vorname`, `nachname`) VALUES
(1, 'Max', 'Muster'),
(2, 'Tanja', 'Held'),
(3, 'Max', 'Bauer'),
(4, 'Anna', 'Mischfeld');
";
if (mysqli_query($db, $query)) {
	echo "Inserted data successfully.";
}
else {
	exit("Can't insert data.");
}

// Verbindung schlieen
mysqli_close($db);

?>